XmGetScaledPixmap(library call)

NAME
XmGetScaledPixmap — read a pixmap file and scale it according to pixmap and print resolution

SYNOPSIS

#include <Xm/Xm.h>
XtEnum XmGetScaledPixmap(
Widget widget,
String image_name,
Pixel foreground,
Pixel background,
int depth,
Double scaling_ratio);

DESCRIPTION

XmGetScaledPixmap uses its Widget argument to look up for a Print Shell ancestor to get the pixmap resolution and the default printer resolution information to be used if scaling_ratio ==0.

If scaling is 0, and a valid PrintShell is present XmGetScaledPixmap applies a ratio equals to (printer resolution / default pixmap resolution) before creating the Pixmap on the widget's Screen. Otherwise, the scaling_ratio is used in scaling both dimensions of the image being converted as a Pixmap.

XmGetScaledPixmap completes the XmGetPixmapByDepth existing API by making use of the XmNdefaultPixmapResolution of the rooting XmPrintShell. Refer to the XmGetPixmapByDepth documentation for details.

widget
    Widget used to determine the default pixmap resolution (of the print shell ancestor).

image_name
    See XmGetPixmapByDepth for description.

foreground
    See XmGetPixmapByDepth for description.

background
    See XmGetPixmapByDepth for description.

depth
    See XmGetPixmapByDepth for description.

scaling_ratio
    Indicate the scaling ratio to be applied, or 0.

RETURN VALUE

Returns Pixmap or NULL if failed.

ERRORS/WARNINGS

Same as for XmGetPixmapByDepth.

SEE ALSO

XmPrintSetup(3), XmPrintShell(3), XmRedisplayWidget(3)